package com.winhc.data.push;

import com.aliyun.odps.Odps;
import com.winhc.data.push.service.OdpsService;
import com.winhc.data.push.service.SynDataService;
import com.winhc.data.push.service.TouchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import org.junit.Test;
import org.junit.runner.RunWith;

import java.util.Arrays;
import java.util.List;

import static com.winhc.data.push.common.Constant.TC_BUCKET_NAME;
import static com.winhc.data.push.common.Constant.TC_OSS_PRE;


/**
 * @author π
 * @Description:
 * @date 2022/7/21 14:19
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class TestPush {

    @Autowired
    SynDataService synDataService;

    @Autowired
    TouchService touchService;

    @Autowired
    OdpsService odpsService;


    @Test
    public void sendKafka() {
        String ds = "20220721";
        synDataService.push("", "");
    }

    @Test
    public void touchTask() {
        touchService.export2OSS("winhc_ng", "20220721");
    }

    @Test
    public void touchTask1() throws Exception {
        synDataService.sendMessage("运行中...");
    }


    @Test
    public void touchTaskTC() {
        String ds = "20231221";
        touchService.export2OSSTc("winhc_ng", ds, Arrays.asList("zxr_evaluate"));
        synDataService.saveObject(ds, TC_BUCKET_NAME, TC_OSS_PRE);
    }

    @Test
    public void showTable() {

        List<String> query = odpsService.query("SHOW PARTITIONS bds_data_out_tc PARTITION (ds = '@ds') ;", "20231225");
        System.out.println(query);
    }

    @Test
    public void tt() {
        String ss = "data/tc/20231220/company_send_announcement/0a727f5343df6bc6b7861baa2998b13a.json";

        String re = ss.substring(0, ss.lastIndexOf("/"));
        String re2 = re.substring(re.lastIndexOf("/") + 1);
        System.out.println(re2);
    }
}
